質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.34%

  • Ruby

    8234questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Ruby on Rails 5

    2193questions

  • Raspberry Pi

    906questions

    Raspberry Piは、ラズベリーパイ財団が開発した、名刺サイズのLinuxコンピュータです。 学校で基本的なコンピュータ科学の教育を促進することを意図しています。

railsのチュートリアルができない

受付中

回答 1

投稿

flag 質問者が6日前に「まだ回答を求めています」と言っています。

  • 評価
  • クリップ 0
  • VIEW 115

Supernove

score 14

ruby on railsのチュートリアルを行いましたが、rails serverを起動したときに起動せずにそのまま中止になってしまいます。

実行環境

Raspberry pi 2(Linux raspberrypi 4.14.79-v7+)

試したこと

こちらのリンクの1.3.1までは問題なく行えました。rails serverを起動すると以下のようなエラーが出力されます。

=> Booting Puma
=> Rails 5.1.6 application starting in development 
=> Run `rails server -h` for more startup options
/home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/rb-inotify-0.9.10/lib/rb-inotify/notifier.rb:54: [BUG] Segmentation fault at 0xe92d000e
ruby 2.4.0p0 (2016-12-24 revision 57164) [armv7l-linux-eabihf]

-- Control frame information -----------------------------------------------
c:0080 p:---- s:0432 e:000431 CFUNC  :inotify_init
c:0079 p:0014 s:0428 e:000427 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/rb-inotify-0.9.10/lib/rb-inotify/notifier.rb:54 [FINISH]
c:0078 p:---- s:0424 e:000423 CFUNC  :new
c:0077 p:0042 s:0420 E:002650 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/listen-3.1.5/lib/listen/adapter/linux.rb:31
c:0076 p:0047 s:0414 E:001c58 BLOCK  /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/listen-3.1.5/lib/listen/adapter/base.rb:45 [FINISH]
c:0075 p:---- s:0409 e:000408 CFUNC  :each
c:0074 p:0071 s:0405 E:000194 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/listen-3.1.5/lib/listen/adapter/base.rb:40
c:0073 p:0008 s:0400 E:002284 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/listen-3.1.5/lib/listen/adapter/base.rb:63
c:0072 p:0011 s:0395 E:000ca0 BLOCK  /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/listen-3.1.5/lib/listen/listener.rb:68 [FINISH]
c:0071 p:---- s:0392 e:000391 CFUNC  :instance_eval
c:0070 p:0018 s:0388 E:000324 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/listen-3.1.5/lib/listen/fsm.rb:121
c:0069 p:0022 s:0383 E:00033c METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/listen-3.1.5/lib/listen/fsm.rb:91
c:0068 p:0032 s:0378 E:000980 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/listen-3.1.5/lib/listen/fsm.rb:57
c:0067 p:0021 s:0372 E:000350 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/listen-3.1.5/lib/listen/listener.rb:91
c:0066 p:0029 s:0368 E:000998 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/activesupport-5.1.6/lib/active_support/evented_file_update_checker.rb:9
c:0065 p:0175 s:0364 E:00255c METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/activesupport-5.1.6/lib/active_support/evented_file_update_checker.rb:6 [FINISH]
c:0064 p:---- s:0357 e:000356 CFUNC  :new
c:0063 p:0181 s:0351 E:0011e8 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/activesupport-5.1.6/lib/active_support/i18n_railtie.rb:59
c:0062 p:0018 s:0341 E:000adc BLOCK  /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/activesupport-5.1.6/lib/active_support/i18n_railtie.rb:17 [FINISH]
c:0061 p:0022 s:0337 E:001060 BLOCK  /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/activesupport-5.1.6/lib/active_support/lazy_load_hooks.rb:67
c:0060 p:0046 s:0334 E:000b54 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/activesupport-5.1.6/lib/active_support/lazy_load_hooks.rb:60
c:0059 p:0020 s:0327 E:000ca0 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/activesupport-5.1.6/lib/active_support/lazy_load_hooks.rb:65
c:0058 p:0016 s:0319 E:000bd8 BLOCK  /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/activesupport-5.1.6/lib/active_support/lazy_load_hooks.rb:50 [FINISH]
c:0057 p:---- s:0314 e:000313 CFUNC  :each
c:0056 p:0041 s:0310 E:000bb8 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/activesupport-5.1.6/lib/active_support/lazy_load_hooks.rb:49

(中略)

76f92000-76f93000 r--p 00004000 b3:07 270236     /usr/lib/arm-linux-gnueabihf/libarmmem.so
76f93000-76f94000 rw-p 00005000 b3:07 270236     /usr/lib/arm-linux-gnueabihf/libarmmem.so
76f94000-76fb5000 r-xp 00000000 b3:07 137274     /lib/arm-linux-gnueabihf/ld-2.24.so
76fba000-76fbb000 r-xp 00000000 00:00 0 
76fbb000-76fbc000 ---p 00000000 00:00 0 
76fbc000-76fc4000 rw-p 00000000 00:00 0 
76fc4000-76fc5000 r--p 00020000 b3:07 137274     /lib/arm-linux-gnueabihf/ld-2.24.so
76fc5000-76fc6000 rw-p 00021000 b3:07 137274     /lib/arm-linux-gnueabihf/ld-2.24.so
7e7ae000-7efad000 rw-p 00000000 00:00 0          [stack]
7efef000-7eff0000 r-xp 00000000 00:00 0          [sigpage]
7eff0000-7eff1000 r--p 00000000 00:00 0          [vvar]
7eff1000-7eff2000 r-xp 00000000 00:00 0          [vdso]
ffff0000-ffff1000 r-xp 00000000 00:00 0          [vectors]


[NOTE]
You may have encountered a bug in the Ruby interpreter or extension libraries.
Bug reports are welcome.
For details: http://www.ruby-lang.org/bugreport.html

中止
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • dice142

    2018/12/07 10:27

    おそらく中略されている箇所にエラー文があると思うのですが、追記していただけますか?

    キャンセル

  • Supernove

    2018/12/07 12:13

    すごく長かったので、ここに全文を追記します。  => Booting Puma => Rails 5.1.6 application starting in development => Run `rails server -h` for more startup options /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/rb-inotify-0.9.10/lib/rb-inotify/notifier.rb:54: [BUG] Segmentation fault at 0xe92d000e ruby 2.4.0p0 (2016-12-24 revision 57164) [armv7l-linux-eabihf] -- Control frame information ----------------------------------------------- c:0080 p:---- s:0432 e:000431 CFUNC :inotify_init c:0079 p:0014 s:0428 e:000427 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/rb-inotify-0.9.10/lib/rb-inotify/notifier.rb:54 [FINISH] c:0078 p:---- s:0424 e:000423 CFUNC :new c:0077 p:0042 s:0420 E:002170 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/listen-3.1.5/lib/listen/adapter/linux.rb:31 c:0076 p:0047 s:0414 E:000618 BLOCK /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/listen-3.1.5/lib/listen/adapter/base.rb:45 [FINISH] c:0075 p:---- s:0409 e:000408 CFUNC :each c:0074 p:0071 s:0405 E:0021dc METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/listen-3.1.5/lib/listen/adapter/base.rb:40 c:0073 p:0008 s:0400 E:0021ec METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/listen-3.1.5/lib/listen/adapter/base.rb:63 c:0072 p:0011 s:0395 E:002200 BLOCK /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/listen-3.1.5/lib/listen/listener.rb:68 [FINISH] c:0071 p:---- s:0392 e:000391 CFUNC :instance_eval c:0070 p:0018 s:0388 E:000194 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/listen-3.1.5/lib/listen/fsm.rb:121 c:0069 p:0022 s:0383 E:0001cc METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/listen-3.1.5/lib/listen/fsm.rb:91 c:0068 p:0032 s:0378 E:000208 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/listen-3.1.5/lib/listen/fsm.rb:57 c:0067 p:0021 s:0372 E:000240 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/listen-3.1.5/lib/listen/listener.rb:91 c:0066 p:0029 s:0368 E:0015b0 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/activesupport-5.1.6/lib/active_support/evented_file_update_checker.rb:9 c:0065 p:0175 s:0364 E:00160c METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/activesupport-5.1.6/lib/active_support/evented_file_update_checker.rb:6 [FINISH] c:0064 p:---- s:0357 e:000356 CFUNC :new c:0063 p:0181 s:0351 E:001f28 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/activesupport-5.1.6/lib/active_support/i18n_railtie.rb:59 c:0062 p:0018 s:0341 E:00166c BLOCK /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/activesupport-5.1.6/lib/active_support/i18n_railtie.rb:17 [FINISH] c:0061 p:0022 s:0337 E:0016c8 BLOCK /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/activesupport-5.1.6/lib/active_support/lazy_load_hooks.rb:67 c:0060 p:0046 s:0334 E:00094c METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/activesupport-5.1.6/lib/active_support/lazy_load_hooks.rb:60 c:0059 p:0020 s:0327 E:0016b0 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/activesupport-5.1.6/lib/active_support/lazy_load_hooks.rb:65 c:0058 p:0016 s:0319 E:0009d0 BLOCK /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/activesupport-5.1.6/lib/active_support/lazy_load_hooks.rb:50 [FINISH] c:0057 p:---- s:0314 e:000313 CFUNC :each c:0056 p:0041 s:0310 E:0009b0 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/activesupport-5.1.6/lib/active_support/lazy_load_hooks.rb:49 c:0055 p:0017 s:0304 E:000a28 BLOCK /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/railties-5.1.6/lib/rails/application/finisher.rb:73 [FINISH] c:0054 p:---- s:0301 e:000300 CFUNC :instance_exec c:0053 p:0019 s:0296 E:00136c METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/railties-5.1.6/lib/rails/initializable.rb:30 c:0052 p:0022 s:0291 E:0013a4 BLOCK /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/railties-5.1.6/lib/rails/initializable.rb:59 c:0051 p:0024 s:0287 E:0013dc BLOCK /home/pi/.rbenv/versions/2.4.0/lib/ruby/2.4.0/tsort.rb:228 c:0050 p:0008 s:0283 E:001414 BLOCK /home/pi/.rbenv/versions/2.4.0/lib/ruby/2.4.0/tsort.rb:350 c:0049 p:0133 s:0279 E:000250 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/2.4.0/tsort.rb:431 c:0048 p:0037 s:0267 E:000874 BLOCK /home/pi/.rbenv/versions/2.4.0/lib/ruby/2.4.0/tsort.rb:349 [FINISH] c:0047 p:---- s:0263 e:000262 CFUNC :each c:0046 p:---- s:0260 e:000259 CFUNC :call c:0045 p:0047 s:0256 E:001f38 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/2.4.0/tsort.rb:347 c:0044 p:0044 s:0248 E:001ef8 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/2.4.0/tsort.rb:226 c:0043 p:0041 s:0242 E:0022ac METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/2.4.0/tsort.rb:205 c:0042 p:0032 s:0235 E:001ec0 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/railties-5.1.6/lib/rails/initializable.rb:58 c:0041 p:0029 s:0229 E:00230c METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/railties-5.1.6/lib/rails/application.rb:353 c:0040 p:0024 s:0224 E:002340 TOP /home/pi/environment/hello_app/config/environment.rb:5 [FINISH] c:0039 p:---- s:0221 e:000220 CFUNC :require_relative c:0038 p:0010 s:0216 E:002378 BLOCK config.ru:3 [FINISH] c:0037 p:---- s:0213 e:000212 CFUNC :instance_eval c:0036 p:0040 s:0209 E:0006f8 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/rack-2.0.6/lib/rack/builder.rb:55 [FINISH] c:0035 p:---- s:0203 e:000202 CFUNC :new c:0034 p:0015 s:0199 E:000b68 EVAL [FINISH] c:0033 p:---- s:0196 e:000195 CFUNC :eval c:0032 p:0034 s:0188 E:000758 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/rack-2.0.6/lib/rack/builder.rb:49 c:0031 p:0106 s:0182 E:0007a4 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/rack-2.0.6/lib/rack/builder.rb:40 c:0030 p:0081 s:0173 E:0007e0 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/rack-2.0.6/lib/rack/server.rb:319 c:0029 p:0039 s:0167 E:000730 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/rack-2.0.6/lib/rack/server.rb:219 c:0028 p:0026 s:0163 E:00076c METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/railties-5.1.6/lib/rails/commands/server/server_command.rb:24 c:0027 p:0023 s:0158 E:0007a0 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/rack-2.0.6/lib/rack/server.rb:354 c:0026 p:0008 s:0153 E:0007dc METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/railties-5.1.6/lib/rails/commands/server/server_command.rb:80 c:0025 p:0050 s:0148 E:001180 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/railties-5.1.6/lib/rails/commands/server/server_command.rb:42 c:0024 p:0049 s:0144 E:00084c BLOCK /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/railties-5.1.6/lib/rails/commands/server/server_command.rb:135 [FINISH] c:0023 p:---- s:0140 e:000139 CFUNC :tap c:0022 p:0031 s:0136 E:000830 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/railties-5.1.6/lib/rails/commands/server/server_command.rb:130 c:0021 p:0078 s:0132 E:001fa0 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/thor-0.20.3/lib/thor/command.rb:27 c:0020 p:0058 s:0124 E:001fe4 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/thor-0.20.3/lib/thor/invocation.rb:126 c:0019 p:0303 s:0117 E:00203c METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/thor-0.20.3/lib/thor.rb:387 c:0018 p:0051 s:0104 E:00207c METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/railties-5.1.6/lib/rails/command/base.rb:63 c:0017 p:0154 s:0097 E:0026d4 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/railties-5.1.6/lib/rails/command.rb:44 c:0016 p:0097 s:0086 E:000000 TOP /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/railties-5.1.6/lib/rails/commands.rb:16 [FINISH] c:0015 p:---- s:0081 e:000080 CFUNC :require c:0014 p:0063 s:0076 E:002094 TOP /home/pi/environment/hello_app/bin/rails:9 [FINISH] c:0013 p:---- s:0072 e:000071 CFUNC :load c:0012 p:0141 s:0067 E:00005c METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/spring-2.0.2/lib/spring/client/rails.rb:28 c:0011 p:0013 s:0062 E:000094 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/spring-2.0.2/lib/spring/client/command.rb:7 c:0010 p:0018 s:0057 E:0000d0 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/spring-2.0.2/lib/spring/client.rb:30 c:0009 p:0337 s:0051 E:00159c TOP /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/spring-2.0.2/bin/spring:49 [FINISH] c:0008 p:---- s:0045 e:000044 CFUNC :load c:0007 p:0185 s:0040 E:0015dc TOP /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/spring-2.0.2/lib/spring/binstub.rb:31 [FINISH] c:0006 p:---- s:0034 e:000033 CFUNC :require c:0005 p:0174 s:0029 E:001630 METHOD /home/pi/.rbenv/versions/2.4.0/lib/ruby/2.4.0/rubygems/core_ext/kernel_require.rb:68 c:0004 p:0150 s:0017 E:001670 TOP /home/pi/environment/hello_app/bin/spring:15 [FINISH] c:0003 p:---- s:0012 e:000011 CFUNC :load c:0002 p:0022 s:0007 E:001384 EVAL bin/rails:3 [FINISH] c:0001 p:0000 s:0003 E:002478 (none) [FINISH] -- Ruby level backtrace information ---------------------------------------- bin/rails:3:in `<main>' bin/rails:3:in `load' /home/pi/environment/hello_app/bin/spring:15:in `<top (required)>' /home/pi/.rbenv/versions/2.4.0/lib/ruby/2.4.0/rubygems/core_ext/kernel_require.rb:68:in `require' /home/pi/.rbenv/versions/2.4.0/lib/ruby/2.4.0/rubygems/core_ext/kernel_require.rb:68:in `require' /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/spring-2.0.2/lib/spring/binstub.rb:31:in `<top (required)>' /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/spring-2.0.2/lib/spring/binstub.rb:31:in `load' /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/spring-2.0.2/bin/spring:49:in `<top (required)>' /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/spring-2.0.2/lib/spring/client.rb:30:in `run' /home/pi/.rbenv/versions/2.4.0/lib/ruby/gems/2.4.0/gems/spring-2.0.2/lib/spring/client/

    キャンセル

回答 1

0

Supernoveさん、

Raspbianで、apt install rubyでインストールできるruby(v2.3)では、同様のエラーがでましたが、
Ruby v2.5.3をインストールして、試したところ、うまく動きました。

Raspbianに、ruby 2.5.3 をインストールするスクリプトを書いてくれた方がいたので、それを使用して、インストールしました。
bash <(curl -s https://gist.githubusercontent.com/blacktm/8302741/raw/install_ruby_rpi.sh)

環境: 

  • Raspberry Pi 3B+
  • 2018-11-13-raspbian-stretch-lite

コマンド例:

# パッケージ更新 必要なパッケージ導入
sudo apt update && sudo apt upgrade -y
sudo apt install -y git libsqlite3-dev nodejs

## ruby v2.5.3 のインストール
bash <(curl -s https://gist.githubusercontent.com/blacktm/8302741/raw/install_ruby_rpi.sh)

#
gem install rails -v 5.1.6
mkdir ~/environment
cd ~/environment
rails _5.1.6_ new hello_app
cd hello_app
rails server

実行例:

pi@raspberrypi:~/environment/hello_app$ rails server
=> Booting Puma
=> Rails 5.1.6.1 application starting in development
=> Run `rails server -h` for more startup options
Puma starting in single mode...
* Version 3.12.0 (ruby 2.5.3-p105), codename: Llamas in Pajamas
* Min threads: 5, max threads: 5
* Environment: development
* Listening on tcp://0.0.0.0:3000
Use Ctrl-C to stop

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

同じタグがついた質問を見る

  • Ruby

    8234questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Ruby on Rails 5

    2193questions

  • Raspberry Pi

    906questions

    Raspberry Piは、ラズベリーパイ財団が開発した、名刺サイズのLinuxコンピュータです。 学校で基本的なコンピュータ科学の教育を促進することを意図しています。